import { Component } from 'react';
export interface ILazyMountProps {
    mount?: boolean;
}
export interface ILazyMountState {
    mounted: boolean;
}
export default class LazyMount extends Component<ILazyMountProps, ILazyMountState> {
    static defaultProps: {
        mount: boolean;
    };
    constructor(props: ILazyMountProps);
    render(): import("react").ReactNode;
    static getDerivedStateFromProps(props: ILazyMountProps, state: ILazyMountState): {
        mounted: boolean;
    };
}
